function fl1_get_module_list()
{
	ls -d1 ${FL_MODULE_DIR}/*|awk -F/ '{print $NF}'|sort
}

function fl1_load_modules_and_get_list()
{
	# Getting a list of modules
	local FL_MODULES_TO_PROCESS=$1
	if [ $1 = "all" ]
	then
		FL_MODULES_TO_PROCESS=$(fl1_get_module_list)
	fi
	
	# Loading modules
	for module in $FL_MODULES_TO_PROCESS
	do
		source "${FL_MODULE_DIR}/${module}/module.sh"
	done
	
	# Sorting module list
	local FL_MODULE_LIST_TO_SORT=""
	for module in $FL_MODULES_TO_PROCESS
	do
		local FL_MODULE_INDEX=$(fl_mod_${module}_order)
		FL_MODULE_LIST_TO_SORT="${FL_MODULE_LIST_TO_SORT}${FL_MODULE_INDEX}-${module}"$'\n'
	done
	
	echo ${FL_MODULE_LIST_TO_SORT}|sort|cut -d'-' -f2
}